Predictions
Get prediction overview
Returns a summary overview of a prediction by project and prediction ID.
Parameters:
-
projectId(path, required): The project ID. -
predictionId(path, required): The prediction ID.
GET
/
Project
/
{projectId}
/
Prediction
/
{predictionId}
/
Overview
Get prediction overview
curl --request GET \
--url https://api.plantpredict.terabase.energy/Project/{projectId}/Prediction/{predictionId}/Overview \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.plantpredict.terabase.energy/Project/{projectId}/Prediction/{predictionId}/Overview"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.plantpredict.terabase.energy/Project/{projectId}/Prediction/{predictionId}/Overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 955415,
"name": "Baseline Yield Study",
"ownerId": 8903,
"projectId": 187749,
"isBatch": false,
"batchQualified": true,
"createdDate": "2025-11-25T16:21:07.213",
"lastModified": "2025-11-25T16:22:16.553",
"weather": {
"id": 230763,
"name": "Meteonorm - 39.742N - 104.991W"
},
"status": 2,
"useMapBuilder": false,
"powerPlant": {
"id": 1185523,
"inverters": [
{
"name": "Central Inverter 2.5 MW"
}
],
"modules": [
{
"name": "Mono PERC Module 560 W (1500V)"
}
]
},
"resultSummary": {
"id": 0,
"globalHorizontalIrradiance": 1421.63,
"avgTiltAngle": 0
},
"batchComponents": {},
"batchStepVariables": [],
"statistics": {
"acSize": 2.6125,
"dcSize": 3.135,
"dcacRatio": 1.2,
"groundCoverageRatio": 40,
"avgMountingType": 1,
"avgRowSpacing": 5.695,
"avgWattage": 560,
"avgAzimuth": 180,
"arrayCount": 1
}
}"Project not found.""An error has occurred."Authorizations
Pass Authorization: Bearer <token> on every request. See the Authentication section of the API description for how to fetch a token.
Response
Prediction overview
ISO-8601 datetime as returned by the PlantPredict API. May or may not include a timezone offset; treat as server-local when no offset is present.
ISO-8601 datetime as returned by the PlantPredict API. May or may not include a timezone offset; treat as server-local when no offset is present.
⌘I
Get prediction overview
